OpenTTD Source: ObjectScopeResolver Struct Reference

OpenTTD Source 14.0-beta1

Public Member Functions | Data Fields
ObjectScopeResolver Struct Reference

Object scope resolver. More...

`#include <newgrf_object.h>`

Inheritance diagram for ObjectScopeResolver:

## Public Member Functions
| ObjectScopeResolver (ResolverObject &ro, Object *obj, const ObjectSpec *spec, TileIndex tile, uint8_t view=0)
| Constructor of an object scope resolver. More...
uint32_t | GetRandomBits () const override
| Get a few random bits. More...
uint32_t | GetVariable (byte variable, [[maybe_unused]] uint32_t parameter, bool *available) const override
| Used by the resolver to get values for feature 0F deterministic spritegroups.
Public Member Functions inherited from ScopeResolver
| ScopeResolver (ResolverObject &ro)
virtual uint32_t | GetTriggers () const
| Get the triggers. More...
virtual void | StorePSA (uint reg, int32_t value)
| Store a value into the persistent storage area (PSA). More...

## Data Fields
struct Object * | obj
| The object the callback is ran for.
const ObjectSpec * | spec
| Specification of the object type.
TileIndex | tile
| The tile related to the object.
uint8_t | view
| The view of the object.
Data Fields inherited from ScopeResolver
ResolverObject & | ro
| Surrounding resolver object.

## Detailed Description

Object scope resolver.

Definition at line 111 of file newgrf_object.h.

## Constructor & Destructor Documentation

## ◆ ObjectScopeResolver()

ObjectScopeResolver::ObjectScopeResolver | ( | ResolverObject & | ro,
|  | Object * | obj,
|  | const ObjectSpec * | spec,
|  | TileIndex | tile,
|  | uint8_t | view = `0`
| ) |  |
| inline

Constructor of an object scope resolver.

Parameters

  ro | Surrounding resolver.
  obj | Object being resolved.
  tile | Tile of the object.
  view | View of the object.

Definition at line 124 of file newgrf_object.h.

## Member Function Documentation

## ◆ GetRandomBits()

uint32_t ObjectScopeResolver::GetRandomBits | ( |  | ) | const
| overridevirtual

Get a few random bits.

Default implementation has no random bits.

Returns
  Random bits.

Reimplemented from ScopeResolver.

Definition at line 154 of file newgrf_object.cpp.

References GetObjectRandomBits(), IsTileType(), IsValidTile(), and MP_OBJECT.

The documentation for this struct was generated from the following files:

- src/newgrf_object.h
- src/newgrf_object.cpp